Bug 487849 - Cannot set mouse to left-handed
Cannot set mouse to left-handed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
i586 Linux
low Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-28 04:18 EST by Frank Murphy
Modified: 2009-05-11 20:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-11 20:57:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2009-02-28 04:18:30 EST
Description of problem: In preferences, Lef-Handed mouse button selected.
Does nothing.
If KVM (Key,Vid,Mouse) switched to other box, cursor frozen on screen when  this box returned to. Keyboard fine, Screen fine (USB based kvm)


Version-Release number of selected component (if applicable):
control-center-filesystem-2.25.90-3.fc11.i386
control-center-2.25.90-3.fc11.i386
xorg-x11-drv-vmmouse-12.6.3-3.fc11.i386
xorg-x11-drv-mouse-1.4.0-1.fc11.i386


How reproducible: always


Steps to Reproduce:
1. System > prefrences > mouse > Left-Handed
2.
3.
  
Actual results: No left-hand


Expected results: left-hand


Additional info: Unsure if the freeze was relevant.
Comment 1 Christopher Beland 2009-05-10 23:29:19 EDT
I can set my mouse to be left-handed successfully in control-center-2.26.0-6.fc11.x86_64.  Does an update fix the problem for you?

To test, I am hitting the "Close" button in the gnome-mouse-preferences window and clicking on a desktop icon with the left mouse button and seeing a context menu.

If you are still experiencing the problem, what make and model of mouse do you have?  Including the output of "lsusb" might help diagnose the problem.  Do "yum install usbutils" to install this program, if you need it.  You might also check /var/log/messages and ~/.xsession-errors to see if anything helpful is printed there.
Comment 2 Frank Murphy 2009-05-11 03:59:58 EDT
Sorry, 

forgot this one :(
Yeah, it is fixed (32bit).

Note You need to log in before you can comment on or make changes to this bug.